# class MathML::Table

### Public Class Methods

new() click to toggle source
Calls superclass method

    # File lib/math_ml/element.rb, line 183
    def initialize
            super("mtable")
    end

### Public Instance Methods

aligns=(a) click to toggle source

    # File lib/math_ml/element.rb, line 203
    def aligns=(a)
            set_align_attribute("columnalign", a, Align::CENTER)
    end

hlines=(a) click to toggle source

    # File lib/math_ml/element.rb, line 211
    def hlines=(a)
            set_align_attribute("rowlines", a, Line::NONE)
    end

set_align_attribute(name, a, default) click to toggle source

    # File lib/math_ml/element.rb, line 187
    def set_align_attribute(name, a, default)
            if a.is_a?(Array) && a.size>0
                    value = ""
                    a.each do |i|
                            value << " "+i
                    end
                    if value =~ /^( #{default})*$/
                            @attributes.delete(name)
                    else
                            @attributes[name] = value.strip
                    end
            else
                    @attributes.delete(name)
            end
    end

vlines=(a) click to toggle source

    # File lib/math_ml/element.rb, line 207
    def vlines=(a)
            set_align_attribute("columnlines", a, Line::NONE)
    end